rio_route_add_entry
Prev | Enumeration and Discovery | Next

## Name

rio_route_add_entry — Add a route entry to a switch routing table

## Synopsis

`int rio_route_add_entry (` | struct rio_mport * | mport,
| struct rio_switch * | rswitch,
| u16 | table,
| u16 | route_destid,
| u8 | route_port`)`;

## Arguments

`mport`

  Master port to send transaction

`rswitch`

  Switch device

`table`

  Routing table ID

`route_destid`

  Destination ID to be routed

`route_port`

  Port number to be routed

## Description

Calls the switch specific `add_entry` method to add a route entry on a switch. The route table can be specified using the `table` argument if a switch has per port routing tables or the normal use is to specific all tables (or the global table) by passing `RIO_GLOBAL_TABLE` in `table`. Returns `0` on success or `-EINVAL` on failure.

Prev | Up | Next
rio_sport_is_active | Home | rio_route_get_entry